### R code from vignette source 'SamplingStrataVignette.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: foo
###################################################
options(keep.source = TRUE, width = 60)
foo <- packageDescription('SamplingStrata')


###################################################
### code chunk number 2: frame1
###################################################
library(sampling)
data(swissmunicipalities)


###################################################
### code chunk number 3: frame2
###################################################
swissframe <- NULL
swissframe$id <- swissmunicipalities$Nom


###################################################
### code chunk number 4: frame3
###################################################
swissframe$Y1 <- swissmunicipalities$Pop020
swissframe$Y2 <- swissmunicipalities$Pop2040
swissframe$Y3 <- swissmunicipalities$Pop4065
swissframe$Y4 <- swissmunicipalities$Pop65P


###################################################
### code chunk number 5: frame4
###################################################
library(SamplingStrata)
swissframe$X1 <- var.bin(swissmunicipalities$POPTOT, bins=18)
swissframe$X2 <- var.bin(swissmunicipalities$Surfacesbois, bins=3)
swissframe$X3 <- var.bin(swissmunicipalities$Surfacescult, bins=3)
swissframe$X4 <- var.bin(swissmunicipalities$Alp, bins=3)
swissframe$X5 <- var.bin(swissmunicipalities$Airbat, bins=3)
swissframe$X6 <- var.bin(swissmunicipalities$Airind, bins=3)


###################################################
### code chunk number 6: frame5
###################################################
swissframe$domainvalue <- swissmunicipalities$REG
swissframe <- data.frame(swissframe)


###################################################
### code chunk number 7: frame6
###################################################
head(swissframe)


###################################################
### code chunk number 8: frame6
###################################################
write.table (swissframe, 'swissframe.txt', row.names=FALSE, 
	col.names=TRUE, sep='\t', quote=FALSE)


###################################################
### code chunk number 9: frame7
###################################################
library(SamplingStrata)
data(swissframe)
head(swissframe)


###################################################
### code chunk number 10: frame8
###################################################
data(strata)
head(strata)


###################################################
### code chunk number 11: frame9
###################################################
frame <- read.delim('swissframe.txt')


###################################################
### code chunk number 12: frame10
###################################################
swissstrata <- buildStrataDF(swissframe)


###################################################
### code chunk number 13: frame11
###################################################
str(swissstrata)


###################################################
### code chunk number 14: frame12
###################################################
data(swissstrata)


###################################################
### code chunk number 15: frame13 (eval = FALSE)
###################################################
## samp <- read.delim('samplePrev.txt')


###################################################
### code chunk number 16: frame14 (eval = FALSE)
###################################################
## strata <- buildStrataDF(samp)


###################################################
### code chunk number 17: frame15
###################################################
data(swisserrors)
swisserrors


###################################################
### code chunk number 18: frame15a
###################################################
checkInput(swisserrors,swissstrata,swissframe)


###################################################
### code chunk number 19: frame16
###################################################
data(swisserrors.chk)
swisserrors.chk


###################################################
### code chunk number 20: frame17
###################################################
sum(bethel(swissstrata,swisserrors.chk))


###################################################
### code chunk number 21: frame18
###################################################
outstrata <- optimizeStrata(
	errors = swisserrors, 
	strata = swissstrata, 
	cens = NULL, 
	strcens = FALSE, 
	initialStrata = 3000, 
	addStrataFactor = 0.00, 
	minnumstr = 2, 
	iter = 30, 
	pops = 5, 
	mut_chance = 0.05, 
	elitism_rate = 0.2,
	highvalue = 1e+08, 
	suggestions = NULL
)


###################################################
### code chunk number 22: frame19 (eval = FALSE)
###################################################
## data(swisserrors.chk)
## pdf("distributionplot.pdf")
## allocation <- verify(swisserrors.chk,outstrata)
## sum(allocation)
## dev.off()


###################################################
### code chunk number 23: frame20
###################################################
newstrata <- updateStrata(swissstrata)


###################################################
### code chunk number 24: frame21
###################################################
framenew <- updateFrame(swissframe,newstrata)


###################################################
### code chunk number 25: frame22
###################################################
sample <- selectSample(framenew,outstrata)


